﻿using Microsoft.Extensions.Hosting;

namespace CompServ.Worker;

internal class ConsoleTitleUpdateService : BackgroundService
{
    private const int UpdatePerSecond = 2;

    protected override async Task ExecuteAsync(CancellationToken stoppingToken)
    {
        while (stoppingToken.IsCancellationRequested == false)
        {
            await Task.Delay(1000 / UpdatePerSecond, stoppingToken);

            var dt = DateTime.Now;
            Console.Title = $"XZSx{StatusHolder.Ratio} [{dt:dd HH:mm:ss.f}]";
        }
    }
}